Author Topic: Try to avoid/postpone current gtk3-upgrades to 3.20  (Read 784 times)

Offline py-thon

  • Jr. Member
  • **
  • Posts: 68
Try to avoid/postpone current gtk3-upgrades to 3.20
« on: May 08, 2016, 05:48:12 pm »
They cause serious graphical problems with important programs like synaptic (missing scrollbars, text or tickboxes invisible, etc.).
The problem has been known for quite some time https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=821409 but the packages nevertheless reached testing  :(
Tower: Sparky 64bit MATE
Netbook: Sparky 32bit MATE

Offline eightbit

  • Newbie
  • *
  • Posts: 49
Re: Try to avoid/postpone current gtk3-upgrades to 3.20
« Reply #1 on: May 08, 2016, 11:09:37 pm »
Are you running Gnome 3? I started with Sparky minimal and installed Gnome 3 and have kept completely up to date. I experience none of what you are referring to. Everything looks great.

Online pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1462
    • SparkyLinux
Re: Try to avoid/postpone current gtk3-upgrades to 3.20
« Reply #2 on: May 09, 2016, 02:15:32 pm »
There are some changer in the gtk+ 3.20 for sure.
The buttons in the Synaptics letf sidebar are diffternt now (bigger) and the email notifier popup changed color from black to gray.
Don't know what else, will see later.
Nothing is easy as it looks.

Offline GeneC

  • Full Member
  • ***
  • Posts: 126
Re: Try to avoid/postpone current gtk3-upgrades to 3.20
« Reply #3 on: May 09, 2016, 04:57:34 pm »
Some themes that work well with GTK 3.20

  • adwaita
    axiom
    axiomd (a dark theme)
    candra
    cloak (a dark theme)
    earl grey
    Numix SX (for 3.20) [3 versions = light, dark, full dark]

Fully updated Debian Testing (may 9)

Numix SX
http://i285.photobucket.com/albums/ll58/genecharb/ccc.png
http://gnome-look.org/content/show.php/Numix-SX?content=174348
« Last Edit: May 09, 2016, 06:46:40 pm by GeneC »

Offline py-thon

  • Jr. Member
  • **
  • Posts: 68
Re: Try to avoid/postpone current gtk3-upgrades to 3.20
« Reply #4 on: May 09, 2016, 07:39:09 pm »
I am running MATE.
Synaptic, Network Manager and others are affected. Menus are disfigured, text is partially not readable, tickboxes have background colors, scroll bars are completely missing and other stuff.

Edit: It seems to depend on the theme. All the preinstalled themes cause problems (Menta, BlueMenta, BlackMATE, GreenSubmarine, HighContrast, Sparky3, TraditionalGreen, TraditionalOk). Adwaita for some reason never works on my systems. Even if adwaita-icon-theme is installed, I can never choose Adwaita. It has a question mark over it. Was the same when I still used LMDE.
But the problems also lead to that i could not change the theme anymore (corresponding window freezes). A complete dist-upgrade enabled me to change to another theme. An old theme I mixed from various themes still works fine.
« Last Edit: May 09, 2016, 08:43:44 pm by py-thon »
Tower: Sparky 64bit MATE
Netbook: Sparky 32bit MATE

Offline eightbit

  • Newbie
  • *
  • Posts: 49
Re: Try to avoid/postpone current gtk3-upgrades to 3.20
« Reply #5 on: May 10, 2016, 05:15:31 am »
Well, I am using the Adwaita theme in Gnome 3 and it looks fine. I suspect current gtk3 updates are specifically being written for Gnome 3 (it is gtk3 based afterall) which is why I am not experiencing any weirdness. It also might be a sign that MATE may have a struggle in the future keeping up with gtk3 compatibility. I hope not mind you because I am a big fan of that project and use it on other machines....just not my own. Gnome 3.20.1 has really shaped up and is more responsive at least on my Pentium G3450 than any other environment. I would never have thought...

You should probably re-edit the title of the thread to indicate to avoid gtk3 updates UNLESS you are using Gnome 3.

Offline GeneC

  • Full Member
  • ***
  • Posts: 126
Re: Try to avoid/postpone current gtk3-upgrades to 3.20
« Reply #6 on: May 10, 2016, 05:02:02 pm »
Well, I am using the Adwaita theme in Gnome 3 and it looks fine.

.........................

You should probably re-edit the title of the thread to indicate to avoid gtk3 updates UNLESS you are using Gnome 3.

Well this is true if you use GTK 3.20 specifically supported themes some of which I mention in my post above.  I am running Debian Testing fully updated and Gnome-Shell. 
BUT, some older themes (that worked fine in gtk 3.18) just do not display properly as 'py-thon' mentions in OP.  So users should be aware.
As a test, I upgraded to SID and same theming issues, so it will be a while for a real 'fix'..